Bug 31687 - Waiting for the replication
Waiting for the replication
Status: CLOSED FIXED
Product: UCS Test
Classification: Unclassified
Component: Framework
unspecified
Other Linux
: P5 enhancement (vote)
: UCS 3.2
Assigned To: Stefan Gohmann
Lukas Walter
: interim-1
Depends on:
Blocks: 31678 31679 31680 31766
  Show dependency treegraph
 
Reported: 2013-06-10 14:20 CEST by Stefan Gohmann
Modified: 2013-11-19 06:41 CET (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2013-06-10 14:20:22 CEST
The UDM lib in ucs-test should wait for the replication by default. It should be possible to skip the waiting time.

The same should be usable for test cases written in shell.
Comment 1 Stefan Gohmann univentionstaff 2013-06-20 08:08:55 CEST
wait_for_replication and wait_for_replication_and_postrun have been added. For example if a printer was added, wait_for_replication_and_postrun is useful. It waits the time the listener started the postrun handler.
Comment 2 Lukas Walter univentionstaff 2013-08-20 12:01:24 CEST
code: OK
functionality: OK
3.2 changelog: OK
Comment 3 Stefan Gohmann univentionstaff 2013-11-19 06:41:32 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".